Tag Archives: travis

Skipping automated coverage testing for v5.8 on Travis

Previously I had a kludge to allow coverage testing on v5.8 through Travis CI. I used cpanm to install exactly Devel::Cover 1.23 because it supported v5.8. The problem now is that it doesn’t support v5.26 and my automated testing fails.

Using an older version of Devel::Cover to test v5.8

I’ve had a problem with automated coverage testing and v5.8 (the oldest Perl that I support). Devel::Cover made some changes after 1.23 so that it doesn’t guarantee support for v5.8 and earlier. It might work but you’re lucky if it is.

Automated testing with Travis CI

Intermediate Perl shows the basics of Perl testing. We show you how to write test programs and how to run those from the command line. That’s the language-specific stuff and within the scope of the book. You can take it further though. You can set up your code in a “continuous integration” system that runs […]